Bug 116042 - 4 * used before set + 1 too many arguments
Summary: 4 * used before set + 1 too many arguments
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-17 19:43 UTC by d.binderman
Modified: 2014-08-31 23:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 18:44:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-17 19:43:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 d.binderman 2004-02-17 19:44:13 UTC

I just tried to compile package quagga-0.96.3-1 from Fedora.

The compiler said

1.

ospf_opaque.c(1955): remark #592: variable "ospf" is used before its
value is set

The source code is

  struct ospf *ospf = ospf;

Badly broken code.  I'm not sure what the fix is for this.

2.

ospf_opaque.c(2034): remark #592: variable "ospf" is used before its
value is set

Duplicate.

3.

ospf_vty.c(6048): remark #592: variable "nexthop" is used before its
value is set

The source code is

  ospf_external_lsa_flush (ospf, DEFAULT_ROUTE, &p, 0, nexthop);

4.

ospf6_abr.c(434): remark #592: variable "target" is used before its
value is set

The source code is

  if (target.path.cost >= LS_INFINITY ||
      target.path.cost_e2 >= LS_INFINITY)
    {

Suggest init target before first use.

5.

vtysh.c(72): warning #140: too many arguments in function call

The source code is

  return vtysh_end (vty);

but

int
vtysh_end ()
{



Comment 2 Jay Fenlason 2004-12-07 16:44:00 UTC
I just sent a patch upstream to quiet the remaining warnings in 
quagga-0.97.3 (actually the latest snapshot).  With luck, they'll be 
fixed in 0.97.4. 

Comment 3 Jay Fenlason 2005-10-24 18:44:50 UTC
In MODIFIED for a long time.  Closing. 


Note You need to log in before you can comment on or make changes to this bug.